import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:meta/meta.dart';

class UserLoginRequest {
  final String clientCountry;
  final String externalId;
  final String email;
  final String referralCode;

  UserLoginRequest({
    @required this.clientCountry,
    @required this.externalId,
    @required this.email,
    @required this.referralCode,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.CLIENT_COUNTRY] = clientCountry;
    data[Constants.EXTERNAL_ID] = externalId;
    data[Constants.EMAIL] = email;
    data[Constants.REFERRAL_CODE] = referralCode;
    return data;
  }
}
