import 'package:dcoupon_sdk_flutter_package/src/data/models/legal_document_model.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:meta/meta.dart';

class UserAcceptEnrollmentFormRequest {
  final String jwt;
  final List<LegalDocumentModel> legalDocumentsAccepted;

  UserAcceptEnrollmentFormRequest({
    @required this.jwt,
    @required this.legalDocumentsAccepted,
  });

  //TODO: Remove default params after third party login update
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.JWT] = jwt;
    data[Constants.LEGAL_DOCUMENTS_ACCEPTED] = legalDocumentsAccepted;
    return data;
  }
}
